#
# spec file for package SVT-AV1
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define sover suse1
Name:           SVT-AV1
Version:        0.0~pre.1556042178.b4ca700
Release:        0
Summary:        The "Scalable Video Technology for AV1" Encoder
License:        BSD-2-Clause-Patent
Group:          Productivity/Multimedia/Other
URL:            https://github.com/OpenVisualCloud/SVT-AV1
Source0:        %name-%version.tar.xz
Source9:        %name-rpmlintrc
Patch1:         fix-build.patch
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRequires:  yasm
ExclusiveArch:  x86_64

%description
An AV1 encoder for video streams from Intel.

%package -n libSvtAv1Dec-%sover
Summary:        The "Scalable Video Technology for AV1" Decoder
Group:          System/Libraries

%description -n libSvtAv1Dec-%sover
An AV1 decoder for video streams from Intel.

%package -n libSvtAv1Enc-%sover
Summary:        The "Scalable Video Technology for AV1" Encoder
Group:          System/Libraries

%description -n libSvtAv1Enc-%sover
An AV1 encoder for video streams from Intel.

%package        devel
Summary:        Development files for %name
Group:          Development/Libraries/C and C++
Requires:       libSvtAv1Dec-%sover = %version
Requires:       libSvtAv1Enc-%sover = %version

%description    devel
An AV1 encoder for video streams from Intel.

This package contains the header files for svt-av1.

%prep
%setup -q
%patch1 -p1
%if 00%{?suse_version} < 1500
sed -i -e 's, -fstack-protector-strong , ,' CMakeLists.txt
%endif

%build
# Shitty CMakeLists.txt requires this to be OFF, else it runs into
#   undefined reference: coeff_tbl
# ...and yet it still produces shared libs. 'S all good man?
%cmake -DBUILD_SHARED_LIBS:BOOL=OFF
make %{?_smp_mflags}

%install
%cmake_install
# drop internal test lib
rm %buildroot%_libdir/libgtest_all.so

%post   -n libSvtAv1Dec-%sover -p /sbin/ldconfig
%postun -n libSvtAv1Dec-%sover -p /sbin/ldconfig

%post   -n libSvtAv1Enc-%sover -p /sbin/ldconfig
%postun -n libSvtAv1Enc-%sover -p /sbin/ldconfig

%files -n libSvtAv1Dec-%sover
%license LICENSE.md
%_libdir/libSvtAv1Dec.so.%{sover}*

%files -n libSvtAv1Enc-%sover
%license LICENSE.md
%_libdir/libSvtAv1Enc.so.%{sover}*

%files
%doc README.md NOTICES.md
%doc Docs
%_bindir/*

%files devel
%_libdir/libSvtAv1Dec.so
%_libdir/libSvtAv1Enc.so
%_libdir/pkgconfig
%_includedir/*

%changelog
